Bug 61837 - Tsunami I2C driver lacks Alpha dependency
Summary: Tsunami I2C driver lacks Alpha dependency
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-25 03:22 UTC by Paul Menage
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-28 11:19:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Menage 2002-03-25 03:22:42 UTC
Description of Problem:

The Tsunami I2C driver refers to TSUNAMI_cchip, which doesn't appear to exist
anywhere:

cc  -D__KERNEL__
-I/export/Post3.1/BUILD/sxvps_binaries/linux/kernel/2.4.18-0.4ensim/kernel/smp/linux/include
-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fomit-frame-pointer
-fno-strict-aliasing -fno-common -Wno-unused -pipe -mpreferred-stack-boundary=2
-march=i586 -DMODULE -DMODVERSIONS -include
/export/Post3.1/BUILD/sxvps_binaries/linux/kernel/2.4.18-0.4ensim/kernel/smp/linux/include/linux/modversions.h 
-DKBUILD_BASENAME=i2c_tsunami  -c -o i2c-tsunami.o i2c-tsunami.c
i2c-tsunami.c:36:23: asm/hwrpb.h: No such file or directory
i2c-tsunami.c:37:30: asm/core_tsunami.h: No such file or directory
i2c-tsunami.c: In function `writempd':
i2c-tsunami.c:70: `TSUNAMI_cchip' undeclared (first use in this function)
i2c-tsunami.c:70: (Each undeclared identifier is reported only once
i2c-tsunami.c:70: for each function it appears in.)
i2c-tsunami.c: In function `readmpd':
i2c-tsunami.c:76: `TSUNAMI_cchip' undeclared (first use in this function)
i2c-tsunami.c:77: warning: control reaches end of non-void function
i2c-tsunami.c: In function `i2c_tsunami_init':
i2c-tsunami.c:154: `hwrpb' undeclared (first use in this function)
i2c-tsunami.c:154: `ST_DEC_TSUNAMI' undeclared (first use in this function)
i2c-tsunami.c:158: `TSUNAMI_cchip' undeclared (first use in this function)
make[3]: *** [i2c-tsunami.o] Error 1

[pmenage@dhrystone1 linux]$ rgrep TSUNAMI_cchip
./drivers/i2c/i2c-tsunami.c:    TSUNAMI_cchip->mpd.csr = value;
./drivers/i2c/i2c-tsunami.c:    return TSUNAMI_cchip->mpd.csr;
./drivers/i2c/i2c-tsunami.c:            printk("i2c-tsunami.o: using Cchip MPD
at 0x%lx.\n", &TSUNAMI_cchip->mpd);


Version-Release number of selected component (if applicable):

2.4.18-0.4

Comment 1 Arjan van de Ven 2002-03-25 07:37:52 UTC
tsunami is an alpha motherboard chipset iirc....

Comment 2 Arjan van de Ven 2002-03-28 11:23:29 UTC
Fixed for next build; thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.